Git-Url: 
http://git.frugalware.org/gitweb/gitweb.cgi?p=imgrebuild.git;a=commitdiff;h=cf2124c14f2b9995e6b565a04af4524b02b7faa0

commit cf2124c14f2b9995e6b565a04af4524b02b7faa0
Author: Michel Hermier <herm...@frugalware.org>
Date:   Thu Apr 22 14:07:36 2010 +0200

kdelibs-4.4.2-2-i686

* Rebuild with new libs.

diff --git a/source/kde/kdelibs/FrugalBuild b/source/kde/kdelibs/FrugalBuild
index 258cf9f..5936329 100644
--- a/source/kde/kdelibs/FrugalBuild
+++ b/source/kde/kdelibs/FrugalBuild
@@ -2,7 +2,7 @@
# Maintainer: crazy <cr...@frugalware.org>

pkgname=kdelibs
-pkgrel=1
+pkgrel=2
pkgdesc="KDE4 Core Libraries."
groups=('kde')
replaces=('kat')
@@ -41,6 +41,9 @@ NEPOMUKDEP="libnepomuk>=$_F_kde_ver"
PLASMADEP="libplasma>=$_F_kde_ver"
THREADWDEP="libthreadweaver>=$_F_kde_ver"

+PHONONDEP="phonon>=4.4.0-2"
+POLKIT_QT_1DEP="polkit-qt-1>=0.95.1-2"
+
Qt4="$_F_kde_qtver"

##################################
@@ -51,7 +54,7 @@ Qt4="$_F_kde_qtver"
subpkgs=("${subpk...@]}" "libkde3support")
subdescs=("${subdes...@]}" "Libraries to support KDE3 code.")
subdepends=("${subdepen...@]}" "libqtcore>=$Qt4 libqtdbus>=$Qt4 
libqt3support>=$Qt4 libqtsvg>=$Qt4
-       polkit-qt-1 gamin xfsprogs-attr libsm libxcursor libpng fontconfig 
libxi")
+       $POLKIT_QT_1DEP gamin xfsprogs-attr libsm libxcursor libpng fontconfig 
libxi")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP $KDESUDEP")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
@@ -59,28 +62,28 @@ subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
subpkgs=("${subpk...@]}" "libplasma")
subdescs=("${subdes...@]}" "Framework for the KDE desktop shell and its 
widgets.")
subdepends=("${subdepen...@]}" "libqtuitools>=$Qt4 libqtwebkit>=$Qt4 
libqtopengl>=$Qt4
-       qca gamin xfsprogs-attr libqtdbus libxcb libxdamage polkit-qt-1")
+       qca gamin xfsprogs-attr libqtdbus libxcb libxdamage $POLKIT_QT_1DEP")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP $KNEWDEP $THREADWDEP $DNSSDDEP")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')

subpkgs=("${subpk...@]}" "libnepomuk")
subdescs=("${subdes...@]}" "Semantic information retrieval and tagging.")
-subdepends=("${subdepen...@]}" "libqtdbus>=$Qt4 libqtgui>=$Qt4 soprano>=2.4.1 
bzip2 polkit-qt-1 libxext shared-desktop-ontologies")
+subdepends=("${subdepen...@]}" "libqtdbus>=$Qt4 libqtgui>=$Qt4 soprano>=2.4.1 
bzip2 $POLKIT_QT_1DEP libxext shared-desktop-ontologies")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')

subpkgs=("${subpk...@]}" "libdnssd")
subdescs=("${subdes...@]}" "Interface to support the DNS-SD (Zeroconf) 
protocol.")
-subdepends=("${subdepen...@]}" "libqtdbus>=$Qt4 libqtgui>=$Qt4 bzip2 libxext 
polkit-qt-1 avahi")
+subdepends=("${subdepen...@]}" "libqtdbus>=$Qt4 libqtgui>=$Qt4 bzip2 libxext 
$POLKIT_QT_1DEP avahi")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')

subpkgs=("${subpk...@]}" "libknotify")
subdescs=("${subdes...@]}" "User Notification Libraries.")
-subdepends=("${subdepen...@]}" "phonon>=4.4.0 gamin xfsprogs-attr bzip2 
libxext polkit-qt-1")
+subdepends=("${subdepen...@]}" "$PHONONDEP gamin xfsprogs-attr bzip2 libxext 
$POLKIT_QT_1DEP")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
@@ -88,35 +91,35 @@ subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
subpkgs=("${subpk...@]}" "libkross")
subdescs=("${subdes...@]}" "Scripting Libraries.")
subdepends=("${subdepen...@]}" "libqtcore>=$Qt4 libqtsvg>=$Qt4 libqtdbus>=$Qt4 
libqtdesigner>=$Qt4
-       gamin xfsprogs-attr libpng fontconfig libxi polkit-qt-1 libsm 
libxcursor")
+       gamin xfsprogs-attr libpng fontconfig libxi $POLKIT_QT_1DEP libsm 
libxcursor")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP $KFILEDEP 
libkjsembed>=$_F_kde_ver")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')

subpkgs=("${subpk...@]}" "libkdewebkit")
subdescs=("${subdes...@]}" "KDE WebKit Library")
-subdepends=("${subdepen...@]}" "libqtwebkit>=$Qt4 libqtgui>=$Qt4 
libqtdbus>=$Qt4 gamin xfsprogs-attr bzip2 libxext libxcb polkit-qt-1")
+subdepends=("${subdepen...@]}" "libqtwebkit>=$Qt4 libqtgui>=$Qt4 
libqtdbus>=$Qt4 gamin xfsprogs-attr bzip2 libxext libxcb $POLKIT_QT_1DEP")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')

subpkgs=("${subpk...@]}" "libkhtml")
subdescs=("${subdes...@]}" "HTML rendering widget designed for Konqueror.")
-subdepends=("${subdepen...@]}" "libqtgui>=$Qt4 libqtdbus>=$Qt4 libjpeg libgif 
pcre libxcb gamin xfsprogs-attr libxext bzip2 polkit-qt-1")
+subdepends=("${subdepen...@]}" "libqtgui>=$Qt4 libqtdbus>=$Qt4 libjpeg>=8a 
libgif pcre libxcb gamin xfsprogs-attr libxext bzip2 $POLKIT_QT_1DEP")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP 
kdelibs-interfaces>=$_F_kde_ver")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')

subpkgs=("${subpk...@]}" "libkfile")
subdescs=("${subdes...@]}" "File management widgets and dialogs libraries.")
-subdepends=("${subdepen...@]}" "libqtgui>=$Qt4 libqtdbus>=$Qt4 gamin 
xfsprogs-attr bzip2 libxext polkit-qt-1")
+subdepends=("${subdepen...@]}" "libqtgui>=$Qt4 libqtdbus>=$Qt4 gamin 
xfsprogs-attr bzip2 libxext $POLKIT_QT_1DEP")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')

subpkgs=("${subpk...@]}" "libknewstuff")
subdescs=("${subdes...@]}" "Allows applications to easily download data from 
the Internet.")
-subdepends=("${subdepen...@]}" "libqtgui>=$Qt4 libqtdbus>=$Qt4 gamin 
xfsprogs-attr bzip2 libxext polkit-qt-1 attica>=0.1.2")
+subdepends=("${subdepen...@]}" "libqtgui>=$Qt4 libqtdbus>=$Qt4 gamin 
xfsprogs-attr bzip2 libxext $POLKIT_QT_1DEP attica>=0.1.2")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
@@ -124,21 +127,21 @@ subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
subpkgs=("${subpk...@]}" "libkdewidgets")
subdescs=("${subdes...@]}" "KDE custom widgets for Qt Designer.")
subdepends=("${subdepen...@]}" "libqtgui>=$Qt4 libqtnetwork>=$Qt4 
libqtdbus>=$Qt4 libqtsql>=$Qt4
-       libstdc++ zlib strigi>=0.7.2 xfsprogs-acl libxrender libice libxext 
polkit-qt-1")
+       libstdc++ zlib strigi>=0.7.2 xfsprogs-acl libxrender libice libxext 
$POLKIT_QT_1DEP")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP $KDESUDEP $KDE3SUPPORTDEP")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')

subpkgs=("${subpk...@]}" "libkjsembed")
subdescs=("${subdes...@]}" "ECMAScript bindings libraries.")
-subdepends=("${subdepen...@]}" "libqtuitools>=$Qt4 libqtdbus>=$Qt4 bzip2 
libx11 polkit-qt-1")
+subdepends=("${subdepen...@]}" "libqtuitools>=$Qt4 libqtdbus>=$Qt4 bzip2 
libx11 $POLKIT_QT_1DEP")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')

subpkgs=("${subpk...@]}" "libkutils")
subdescs=("${subdes...@]}" "Utility library for printing, chatting and more.")
-subdepends=("${subdepen...@]}" "libqtdbus>=$Qt4 libqtgui>=$Qt4 libxscrnsaver 
gamin xfsprogs-attr bzip2 polkit-qt-1")
+subdepends=("${subdepen...@]}" "libqtdbus>=$Qt4 libqtgui>=$Qt4 libxscrnsaver 
gamin xfsprogs-attr bzip2 $POLKIT_QT_1DEP")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
@@ -152,14 +155,14 @@ subarchs=("${subarc...@]}" 'i686 x86_64 ppc')

subpkgs=("${subpk...@]}" "libkimgio")
subdescs=("${subdes...@]}" "Gimgio class extension libraries.")
-subdepends=("${subdepen...@]}" "libqtgui>=$Qt4 libqtdbus>=$Qt4 jasper libxext 
bzip2 polkit-qt-1 openexr")
+subdepends=("${subdepen...@]}" "libqtgui>=$Qt4 libqtdbus>=$Qt4 jasper libxext 
bzip2 $POLKIT_QT_1DEP openexr")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')

subpkgs=("${subpk...@]}" "libkunitconversion")
subdescs=("${subdes...@]}" "KDE Unit conversation library.")
-subdepends=("${subdepen...@]}" "libqtdbus>=$Qt4 libqtgui>=$Qt4 bzip2 libxext 
polkit-qt-1")
+subdepends=("${subdepen...@]}" "libqtdbus>=$Qt4 libqtgui>=$Qt4 bzip2 libxext 
$POLKIT_QT_1DEP")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
@@ -173,35 +176,35 @@ _F_kde_subpkgs=("${subpk...@]}")
## we have to rename it to libkdekate since there is already libkate in the 
repos
subpkgs=("${subpk...@]}" "libkdekate")
subdescs=("${subdes...@]}" "KPart for Kate (KDE Advanced Text Editor).")
-subdepends=("${subdepen...@]}" "libqtgui>=$Qt4 libqtdbus>=$Qt4 
libqtscript>=$Qt4 gamin xfsprogs-attr bzip2 libxext polkit-qt-1")
+subdepends=("${subdepen...@]}" "libqtgui>=$Qt4 libqtdbus>=$Qt4 
libqtscript>=$Qt4 gamin xfsprogs-attr bzip2 libxext $POLKIT_QT_1DEP")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP $KUTILSDEP 
kdelibs-interfaces>=$_F_kde_ver")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')

subpkgs=("${subpk...@]}" "ksgmltools2")
subdescs=("${subdes...@]}" "KDE doc tools.")
-subdepends=("${subdepen...@]}" "libqtgui>=$Qt4 libqtdbus>=$Qt4 libxslt bzip2 
gamin xfsprogs-attr libxext polkit-qt-1")
+subdepends=("${subdepen...@]}" "libqtgui>=$Qt4 libqtdbus>=$Qt4 libxslt bzip2 
gamin xfsprogs-attr libxext $POLKIT_QT_1DEP")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')

subpkgs=("${subpk...@]}" "sonnet-plugin-hspell")
subdescs=("${subdes...@]}" "Natural language processing for hspell")
-subdepends=("${subdepen...@]}" "libqtcore>=$Qt4 libqtdbus>=$Qt4 bzip2 
polkit-qt-1 hspell")
+subdepends=("${subdepen...@]}" "libqtcore>=$Qt4 libqtdbus>=$Qt4 bzip2 
$POLKIT_QT_1DEP hspell")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')

subpkgs=("${subpk...@]}" "sonnet-plugin-aspell")
subdescs=("${subdes...@]}" "Natural language processing for aspell")
-subdepends=("${subdepen...@]}" "libqtcore>=$Qt4 libqtdbus>=$Qt4 aspell bzip2 
polkit-qt-1")
+subdepends=("${subdepen...@]}" "libqtcore>=$Qt4 libqtdbus>=$Qt4 aspell bzip2 
$POLKIT_QT_1DEP")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')

subpkgs=("${subpk...@]}" "sonnet-plugin-enchant")
subdescs=("${subdes...@]}" "Natural language processing for enchant")
-subdepends=("${subdepen...@]}" "libqtcore>=$Qt4 libqtdbus>=$Qt4 enchant bzip2 
polkit-qt-1")
+subdepends=("${subdepen...@]}" "libqtcore>=$Qt4 libqtdbus>=$Qt4 enchant bzip2 
$POLKIT_QT_1DEP")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
@@ -209,7 +212,7 @@ subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
## maybe split more ? interfces/<foo> ? worth doing that ?
subpkgs=("${subpk...@]}" "$pkgname-interfaces")
subdescs=("${subdes...@]}" "Kparts interface for text editors, mediaplayer and 
scripting.")
-subdepends=("${subdepen...@]}" "gamin xfsprogs-attr bzip2 libxext polkit-qt-1 
phonon>=4.4.0")
+subdepends=("${subdepen...@]}" "gamin xfsprogs-attr bzip2 libxext 
$POLKIT_QT_1DEP $PHONONDEP")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
@@ -217,7 +220,7 @@ subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
## this need kpty
subpkgs=("${subpk...@]}" "libkdesu")
subdescs=("${subdes...@]}" "Library for password entering and handling.")
-subdepends=("${subdepen...@]}" "libqtcore>=$Qt4 libqtdbus>=$Qt4 bzip2 
polkit-qt-1")
+subdepends=("${subdepen...@]}" "libqtcore>=$Qt4 libqtdbus>=$Qt4 bzip2 
$POLKIT_QT_1DEP")
subrodepends=("${subrodepen...@]}" "$KDECOREDEP")
subgroups=("${subgrou...@]}" 'kde kde-core')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
@@ -236,7 +239,7 @@ subarchs=("${subarc...@]}" 'i686 x86_64 ppc')

subpkgs=("${subpk...@]}" "libkdecore")
subdescs=("${subdes...@]}" "KDE4 Core Library.")
-subdepends=("${subdepen...@]}" "libqtnetwork>=$Qt4 pcre xz polkit-qt-1 libgcc 
strigi>=0.7.2-2 xfsprogs-acl libxrender libice \
+subdepends=("${subdepen...@]}" "libqtnetwork>=$Qt4 pcre xz $POLKIT_QT_1DEP 
libgcc strigi>=0.7.2-2 xfsprogs-acl libxrender libice \
libxtst libxfixes libuuid libkrb5 shared-mime-info")
subrodepends=("${subrodepen...@]}" "")
subgroups=("${subgrou...@]}" 'kde kde-core')
_______________________________________________
Frugalware-git mailing list
Frugalware-git@frugalware.org
http://frugalware.org/mailman/listinfo/frugalware-git

Reply via email to